Sign in

Create Area

POST https://{organization}.myguper.com/api/register/team/area

Cria uma área no organograma. name é o único campo obrigatório.

Se parentId for informado, o CycleGuard valida que a referência não cria ciclo na árvore de áreas e que o pai pertence à mesma organização.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "name": "Marketing",
    "parentId": 1,                                              // optional
    "description": "Marketing & Growth",                        // optional
    "data": {                                                   // optional
        "color": "#ff7a00"
    }
}

Responses

{
    "id": 2,
    "parentId": 1,
    "name": "Marketing",
    "description": "Marketing & Growth",
    "data": { "color": "#ff7a00" }
}
Copied to clipboard